on CheckForPopup
  global gbPopIsOn
  if gbPopIsOn then
    return 1
  end if
  return 0
end

on DoPopupAnim
  global gnAnimatePopup, gnPopupGrafik, gnLastPopupAnim
  if (gnAnimatePopup > 0) and (the timer > (gnLastPopupAnim + (3 * 60))) then
    set gnLastPopupAnim to the timer
    set s to the fileName of cast the castNum of sprite gnPopupGrafik
    set s to char 1 to length(s) - 4 of s
    set nFrame to value(char length(s) of s)
    set nFrame to nFrame + 1
    if nFrame > gnAnimatePopup then
      set nFrame to 1
    end if
    set the fileName of cast the castNum of sprite gnPopupGrafik to char 1 to length(s) - 1 of s & string(nFrame)
    updateStage()
  end if
end

on InitWaitWindow sType, sCont
  global gnPopupFrame, gbPopIsOn, gnPopupText
  ClosePopup()
  if the castNum of sprite gnPopupText > 0 then
    set the puppet of sprite gnPopupText to 1
    set the text of cast the castNum of sprite gnPopupText to "installing: " & sCont & RETURN & "0 %"
    set the locH of sprite gnPopupText to 180
    set the locV of sprite gnPopupText to 220
  end if
  if the castNum of sprite gnPopupFrame > 0 then
    set the puppet of sprite gnPopupFrame to 1
    set the castNum of sprite gnPopupFrame to the number of cast "PopupRahmen II"
    set the locH of sprite gnPopupFrame to 148
    set the locV of sprite gnPopupFrame to 190
  end if
  updateStage()
  set gbPopIsOn to 1
end

on LoadPopup sKategorie, sName, sGrafik, sText, nAnim
  global gnPopupFrame, gnEinkaufsknopf, gbPopIsOn, gnPopupGrafik, gnPopupAus, gsDefPath, gnPopupInstall, gsPopupType, gsPopupCont, gnPopupText, gnAnimatePopup, gnLastPopupAnim
  cursor(4)
  if not gbPopIsOn then
    set gnLastPopupAnim to the timer
    set gnAnimatePopup to nAnim
    set the puppet of sprite gnPopupFrame to 1
    set the puppet of sprite gnPopupGrafik to 1
    set the puppet of sprite gnPopupAus to 1
    set the puppet of sprite gnPopupInstall to 1
    set the castNum of sprite gnPopupFrame to the number of cast "PopupRahmen I"
    set the locH of sprite gnPopupFrame to 242
    set the locH of sprite gnPopupInstall to 270
    set the locH of sprite gnPopupAus to 466
    set the locV of sprite gnPopupFrame to 17
    set the locV of sprite gnPopupAus to 427
    set the locV of sprite gnPopupInstall to 427
    if sGrafik <> EMPTY then
      set the fileName of cast "PopupGrafik" to gsDefPath & sGrafik
      set the puppet of sprite gnPopupGrafik to 1
      if sKategorie = "font" then
        set the locH of sprite gnPopupGrafik to 285
        set the locV of sprite gnPopupGrafik to 120
      else
        set the locH of sprite gnPopupGrafik to 270
        set the locV of sprite gnPopupGrafik to 25
      end if
    end if
    if sText <> EMPTY then
      set the text of cast "PopupText" to sText
      set the puppet of sprite gnPopupText to 1
      set the locH of sprite gnPopupText to 275
      set the locV of sprite gnPopupText to 30
    end if
    set gsPopupType to sKategorie
    set gsPopupCont to sName
    set gbPopIsOn to 1
    updateStage()
  end if
  cursor(0)
  put "Popup loaded!"
end

on ClosePopup
  global gnPopupFrame, gnEinkaufsknopf, gbPopIsOn, gnPopupGrafik, gnPopupAus, gnPopupInstall, gnLastPopupAnim, gnPopupText
  if gbPopIsOn then
    set the locH of sprite gnPopupFrame to -2000
    set the locH of sprite gnEinkaufsknopf to -2000
    set the locH of sprite gnPopupGrafik to -2000
    set the locH of sprite gnPopupText to -2000
    set the locH of sprite gnPopupAus to -2000
    set the locH of sprite gnPopupInstall to -2000
    set gnLastPopupAnim to 0
    set gbPopIsOn to 0
    updateStage()
  end if
end
