on startMovie
  global gnFirstSprite, gnLastSprite, gnHilite, glAllFrames, glThisLevel, glAutoList, gbPlayTheMusic, gsThisFrame, gnThisFrame, glLastFrames, glSoundList, gbSpeaker, gnMusicSprite, gnPopupFrame, gnEinkaufsknopf, gbPopIsOn, gnPopupGrafik, gnPopupAus, gnAnimSprite, gnMMSprite, gnLastRollTime, gnPopupInstall, gnBackAndForth, gsPopupType, gsPopupCont, goUtil, gnPopupText, gnAnimatePopup, gnLastPopupAnim, glInstallList, gnInstallActive, goGBTools, gnTextHeight, gsDefPath, gbInstallEinkauf, gnLastMouseH, gnHiliteBar, gnScrollText, gnFirstButton, gnLastButton, gnBubbleSprite, gbDoAnim, gsOldFrame, goPopup, gbInstallActive
  set the visible of sprite 21 to 0
  set gbInstallActive to 0
  set goPopup to 0
  set gsOldFrame to EMPTY
  if voidp(gbDoAnim) then
    set gbDoAnim to 1
  end if
  set gnBackAndForth to 1
  set glAutoList to list("Main", "Help1", "Help2", "Help3", "fonts", "design", "backgrounds", "game", "fax", "utility")
  set gnFirstButton to 31
  set gnLastButton to 39
  set gnBubbleSprite to 48
  set gnHiliteBar to 7
  set gnScrollText to 6
  set gnLastMouseH to the mouseH
  set gbInstallEinkauf to 0
  if the pathName contains "MrMore" then
    set gsDefPath to the pathName
  else
    set gsDefPath to the pathName & "\mrmore\"
  end if
  set gnTextHeight to 18
  set the textHeight of field "BusiFListe" to gnTextHeight
  set the textHeight of field "ArtFListe" to gnTextHeight
  set the textHeight of field "FunFListe" to gnTextHeight
  set the textHeight of field "BusiUListe" to gnTextHeight
  set the textHeight of field "HomeUListe" to gnTextHeight
  set the textHeight of field "FreiUListe" to gnTextHeight
  openXLib("fileIO")
  openXLib("dllGlue")
  openXLib("movutils")
  openXLib("gb_XLib")
  set n to the timer mod 10
  set s to numToChar(n) & numToChar(n * 2) & numToChar(n + 2)
  set goGBTools to gb_XLib(mnew, s)
  if not CheckObject(goGBTools, "Installations-Tool") then
    quit()
  end if
  set goUtil to MovUtils(mnew)
  if not CheckObject(goUtil, "Utility") then
    quit()
  end if
  if GetWinVersion() = "3.95" then
    set the exitLock to 0
  else
    set the exitLock to 0
  end if
  ReadVars()
  ResetKorb()
  set glInstallList to list()
  set gnInstallActive to 0
  set gnLastPopupAnim to 0
  set gnAnimatePopup to 0
  set gsPopupType to EMPTY
  set gsPopupCont to EMPTY
  set gnLastRollTime to the timer + (60 * 60)
  set gbSpeaker to 0
  if not objectp(glSoundList) then
    set glSoundList to list("Help1", "Help2", "Help3", "busifont", "funfont", "artfont", "sounds", "backgrounds", "clipart", "lemminge3d", "lemmingewin", "lovefax", "busifax", "rockfax", "homeutil", "freiutil", "busiutil")
  end if
  set gbPopIsOn to 0
  set gnPopupFrame to 41
  set gnEinkaufsknopf to 42
  set gnPopupGrafik to 45
  set gnPopupAus to 44
  set gnPopupInstall to 43
  set gnPopupText to 46
  set gnMMSprite to 40
  set gnMusicSprite to 38
  set gbPlayTheMusic to 1
  set gnAnimSprite to 15
  set gnThisFrame to 1
  set gsThisFrame to "Main"
  set glLastFrames to list()
  set glAllFrames to list()
  set l to list("main")
  append(glAllFrames, l)
  set l to list("Help1", "Help2", "Help3")
  append(glAllFrames, l)
  set l to list("Install", "DeInstall")
  append(glAllFrames, l)
  set l to list("fonts", "design", "game", "fax", "utility", "tonline")
  append(glAllFrames, l)
  set l to list("busifont", "funfont", "artfont")
  append(glAllFrames, l)
  set l to list("sounds", "backgrounds", "clipart")
  append(glAllFrames, l)
  set l to list("lemminge3d", "lemmingewin")
  append(glAllFrames, l)
  set l to list("lovefax", "busifax", "rockfax")
  append(glAllFrames, l)
  set l to list("homeutil", "freiutil", "busiutil")
  append(glAllFrames, l)
  set l to list("busiclip", "freiclip", "techclip")
  append(glAllFrames, l)
  set glThisLevel to list("main")
  set gnLastSprite to 0
  set gnFirstSprite to 5
  set gnHilite to 33
end

on ResetKorb
  set the text of field "InstallFont" to "Keine Daten gewählt"
  set the text of field "InstallDesi" to "Keine Daten gewählt"
  set the text of field "InstallGame" to "Keine Daten gewählt"
  set the text of field "InstallClip" to "Keine Daten gewählt"
  set the text of field "InstallFaxe" to "Keine Daten gewählt"
  set the text of field "InstallUtil" to "Keine Daten gewählt"
end

on stopMovie
  global goUtil, goGBTools
  set s to the text of field "DesiDir"
  if IsValidDir(s) then
    WriteIni("Dirs", "Design", s, "MRMORE.INI")
  end if
  set s to the text of field "ClipDir"
  if IsValidDir(s) then
    WriteIni("Dirs", "ClipArt", s, "MRMORE.INI")
  end if
  set s to the text of field "FaxeDir"
  if IsValidDir(s) then
    WriteIni("Dirs", "Fax", s, "MRMORE.INI")
  end if
  goGBTools(mdispose)
  goUtil(mdispose)
  closeXLib("movutils")
  closeXLib("dllGlue")
  closeXLib("GB_XLib")
  closeXLib("fileIO")
end

on ReadVars
  global gsWinDir, goUtil, gsSysDir
  set gsWinDir to goUtil(mGetWindowsPath) & "\"
  set gsSysDir to goUtil(mGetSystemPath) & "\"
  set the text of field "DesiDir" to ReadIni("Dirs", "Design", "MRMORE.INI")
  set the text of field "ClipDir" to ReadIni("Dirs", "ClipArt", "MRMORE.INI")
  set the text of field "FaxeDir" to ReadIni("Dirs", "Fax", "MRMORE.INI")
end

on CheckSound
  global gbSpeaker, gbPlayTheMusic
  if not soundBusy(1) then
    set gbSpeaker to 0
    if gbPlayTheMusic then
      SafeSound(1, "diverse\musik")
    end if
  end if
end

on CheckRollOver
  global gnFirstSprite, gnLastSprite, gnFirstButton, gnLastButton, gnBubbleSprite
  repeat with i = gnFirstSprite to gnLastSprite
    if the castNum of sprite i > 0 then
      set sName to the name of cast the castNum of sprite i
      set n to the number of cast (char 1 to 4 of sName & "s")
      set c to char 5 of sName
      if rollOver(i) then
        if (c = "n") and (n > 0) then
          set the castNum of sprite i to n
          exit repeat
        else
          if (c = "h") and (n > 0) then
            set the castNum of sprite i to n
            BlendIn(i)
            exit repeat
          end if
        end if
        next repeat
      end if
      if c <> "h" then
        set the castNum of sprite i to the number of cast (char 1 to 4 of sName & "n")
      end if
    end if
  end repeat
  set the puppet of sprite gnBubbleSprite to 1
  repeat with i = gnFirstButton to gnLastButton
    if rollOver(i) then
      if the castNum of sprite i > 0 then
        if the text of cast "BubbleText" <> the name of cast the castNum of sprite i then
          set the text of cast "BubbleText" to the name of cast the castNum of sprite i
          set the locV of sprite gnBubbleSprite to the locV of sprite i - the height of sprite i
          if the locH of sprite i > 550 then
            set the locH of sprite gnBubbleSprite to the locH of sprite i - (2 * the width of sprite i)
          else
            if the locH of sprite i < 50 then
              set the locH of sprite gnBubbleSprite to the locH of sprite i - (the width of sprite i / 2)
            else
              set the locH of sprite gnBubbleSprite to the locH of sprite i - the width of sprite i
            end if
          end if
          updateStage()
        end if
        exit
      end if
    end if
  end repeat
  set the locH of sprite gnBubbleSprite to -2000
end

on CheckForTimeOut
  global gnLastRollTime, gnLastMouseH, gnFirstSprite, gsThisFrame, glAutoList, gbPlayTheMusic, gsOldFrame, gbSpeaker
  if (the timer mod 500) = 0 then
    if gsThisFrame <> "install" then
      DoFrameAnim(21 + random(5))
    end if
  end if
  if abs(the mouseH - gnLastMouseH) > 10 then
    set gnLastRollTime to the timer
    set gnLastMouseH to the mouseH
    if not gbSpeaker and not gbPlayTheMusic and ((the timer mod 60) = 0) then
      SafeSound(1, "gag\" & string(random(10)))
    end if
    if gsOldFrame <> EMPTY then
      GoFrame(gsOldFrame)
      set gsOldFrame to EMPTY
    end if
  else
    if the timer > (gnLastRollTime + (60 * 45)) then
      set nNumbers to count(glAutoList)
      set n to the timer - (gnLastRollTime + (60 * 45))
      set n to (n / (15 * 60) mod nNumbers) + 1
      if gsOldFrame = EMPTY then
        set gsOldFrame to gsThisFrame
      end if
      if getAt(glAutoList, n) <> gsThisFrame then
        GoFrame(getAt(glAutoList, n))
      end if
    else
      if ((the timer - gnLastRollTime) / 60 mod 30) = 29 then
        set s to string(random(15))
        if length(s) = 1 then
          set s to "0" & s
        end if
        DoMrMore("langew\MMLang" & s, "more aktiv" & string(random(4)), 9, 0)
      else
        if the timer > (gnLastRollTime + (60 * 9)) then
          set n to the castNum of sprite gnFirstSprite
          if n > 0 then
            set sName to the name of cast n
            if (char 5 of sName <> "h") and (gsThisFrame <> "Main") and not rollOver(gnFirstSprite) then
              BlendOut(gnFirstSprite)
              set the castNum of sprite gnFirstSprite to the number of cast (char 1 to 4 of sName & "h")
            end if
          end if
        end if
      end if
    end if
  end if
end

on BlendIn nSprite
  cursor(4)
  repeat with nBlend = 1 to 3
    set the blend of sprite nSprite to (nBlend * 20) + 40
    updateStage()
  end repeat
  cursor(0)
end

on BlendOut nSprite
  cursor(4)
  repeat with nBlend = 1 to 12
    set the blend of sprite nSprite to 100 - (nBlend * 5)
    updateStage()
  end repeat
  cursor(0)
end

on GoFrame sFrame
  global glAllFrames, glThisLevel, gnThisFrame, gsThisFrame, gbPopIsOn
  if CheckForPopup() then
    exit
  end if
  cursor(4)
  repeat with i = 1 to 37
    set the puppet of sprite i to 0
  end repeat
  repeat with i = 39 to 48
    set the puppet of sprite i to 0
  end repeat
  ClosePopup()
  set nAll to count(glAllFrames)
  repeat with i = 1 to nAll
    set l to getAt(glAllFrames, i)
    set nThis to count(l)
    repeat with j = 1 to nThis
      if sFrame = getAt(l, j) then
        set glThisLevel to l
        set gnThisFrame to j
        set gsThisFrame to sFrame
        go(sFrame)
        CheckForHinweis(sFrame)
        exit
      end if
    end repeat
  end repeat
  alert("Frame " & sFrame & " nicht gefunden!")
end

on CheckForHinweis sFrame
  global glSoundList, glAllFrames
  if sFrame = "Main" then
    set l to getAt(glAllFrames, 4)
    repeat with i = 1 to count(l)
      set s to getAt(l, i)
      set b to 0
      repeat with j = 1 to count(glSoundList)
        if getAt(glSoundList, j) = s then
          set b to 1
          exit repeat
        end if
      end repeat
      if not b then
        DoMrMore("hinweis\hinw" & char 1 to 4 of s, "more aktiv" & string(random(4)), 9, 0)
        exit repeat
      end if
    end repeat
  end if
end

on SafeSound nChannel, sFile
  global gsDefPath
  if soundBusy(nChannel) then
    StopSound(nChannel)
  end if
  puppetSound(0)
  set the volume of sound nChannel to 255
  sound playFile nChannel, gsDefPath & "sounds\" & sFile
end

on StopSound nChannel
  sound stop nChannel
end

on ClickButton nSprite
  cursor(4)
  set s to the name of cast the castNum of sprite nSprite
  set the puppet of sprite nSprite to 1
  set the castNum of sprite nSprite to the number of cast (s & "i")
  updateStage()
  repeat while the mouseDown
  end repeat
  if s <> EMPTY then
    set the castNum of sprite nSprite to the number of cast s
    updateStage()
  end if
end

on LoadAnim sFrame
  cursor(4)
  preLoad(label(sFrame), label(sFrame) + 9)
  cursor(0)
end

on DoAnim nSprite, nFrames, bBackAndForth
  global gnBackAndForth
  set n to the castNum of sprite nSprite
  if n <= 0 then
    exit
  end if
  set sName to the name of cast n
  set s to char length(sName) of sName
  set sName to char 1 to length(sName) - 1 of sName
  if bBackAndForth then
    set n to value(s) + gnBackAndForth
    if (n > nFrames) or (n < 1) then
      set gnBackAndForth to -gnBackAndForth
      set n to n + gnBackAndForth
    end if
  else
    set n to value(s) + random(4)
    if n > nFrames then
      set n to 1
    end if
  end if
  if (the castNum of sprite nSprite > 0) and (sName <> EMPTY) then
    set the castNum of sprite nSprite to the number of cast (sName & string(n))
    updateStage()
  end if
end

on DoMrMore sSound, sSprite, nFrames, bBackAndForth
  global gnMMSprite, gbDoAnim
  StartMrMore(sSound, sSprite)
  set nTime to the timer
  repeat while soundBusy(1)
    if the timer > (nTime + 4) then
      DoAnim(gnMMSprite, nFrames, bBackAndForth)
      set nTime to the timer
    end if
    updateStage()
    if the mouseDown then
      exit repeat
    end if
  end repeat
  StopMrMore()
end

on StopMrMore
  global gnMMSprite
  StopSound(1)
  set the puppet of sprite gnMMSprite to 0
  updateStage()
  cursor(0)
end

on StartMrMore sSound, sSprite
  global gnMMSprite, gnBackAndForth
  cursor(4)
  set gnBackAndForth to 1
  if the castNum of sprite gnMMSprite > 0 then
    set the puppet of sprite gnMMSprite to 1
    set the castNum of sprite gnMMSprite to the number of cast (sSprite & " 1")
    updateStage()
    SafeSound(1, sSound)
    updateStage()
  end if
end

on DoFrameAnim nSprite
  global gbDoAnim
  set the puppet of sprite nSprite to 1
  set n to the castNum of sprite nSprite
  set s to char 1 to 4 of the name of cast n
  set nTime to the timer
  repeat with i = 1 to 5
    repeat while (the timer < (nTime + 20)) and not (the mouseDown)
    end repeat
    if the mouseDown then
      exit
    end if
    set nTime to the timer
    set the castNum of sprite nSprite to the number of cast (s & string(i))
    updateStage()
    CheckRollOver()
  end repeat
  repeat with i = 0 to 4
    repeat while (the timer < (nTime + 15)) and not (the mouseDown)
    end repeat
    if the mouseDown then
      exit
    end if
    set nTime to the timer
    set the castNum of sprite nSprite to the number of cast (s & string(5 - i))
    updateStage()
    CheckRollOver()
  end repeat
  set the puppet of sprite nSprite to 0
end

on DoMainAnim sSprite
  global gnAnimSprite, gbDoAnim
  if not gbDoAnim then
    exit
  end if
  cursor(4)
  unLoad()
  repeat with i = 1 to 5
    preLoadCast(char 1 to 4 of sSprite & "s" & string(i))
  end repeat
  cursor(0)
  set the puppet of sprite gnAnimSprite to 1
  set the locH of sprite gnAnimSprite to the locH of sprite the clickOn
  set the locV of sprite gnAnimSprite to the locV of sprite the clickOn
  set the puppet of sprite the clickOn to 1
  set the locH of sprite the clickOn to -2000
  set nTime to the timer
  repeat with i = 1 to 5
    repeat while the timer < (nTime + 5)
    end repeat
    set nTime to the timer
    set the castNum of sprite gnAnimSprite to the number of cast (char 1 to 4 of sSprite & "s" & string(i))
    updateStage()
  end repeat
end

on MsgBox sType, sTitle, sText
  global goPopup, gsPopupStyle, gsPopupText, gsPopupTitle
  set goPopup to window "Popup"
  set the rect of goPopup to rect(the stageLeft + 72, the stageTop + 82, the stageLeft + 568, the stageTop + 397)
  set the titleVisible of goPopup to 0
  set gsPopupStyle to sType
  set gsPopupText to sText
  set gsPopupTitle to sTitle
  open(goPopup)
end

on CheckObject o, s
  if not objectp(o) then
    alert("Error:" & RETURN & "Object " & s & " not available!")
    return 0
  end if
  return 1
end

on MerkeLetztesFrame
  global gsThisFrame, glLastFrames
  append(glLastFrames, gsThisFrame)
end

on ButtonGoto sFrame
  if (sFrame = "fonts") or (sFrame = "design") or (sFrame = "fax") or (sFrame = "game") or (sFrame = "utility") then
    LoadAnim(sFrame)
  end if
  if CheckForPopup() then
    exit
  end if
  cursor(4)
  MerkeLetztesFrame()
  ClickButton(the clickOn)
  GoFrame(sFrame)
end

on alltrim sString
  set s to ltrim(sString)
  set s to rtrim(s)
  return s
end

on rtrim sString
  set nLen to length(sString)
  set n to 0
  repeat while (char nLen - n of sString = " ") and (n <= nLen)
    set n to n + 1
  end repeat
  set s to char 1 to nLen - n of sString
  if s = " " then
    set s to EMPTY
  end if
  return s
end

on ltrim sString
  set nLen to length(sString)
  set n to 1
  repeat while (char n of sString = " ") and (n <= nLen)
    set n to n + 1
  end repeat
  return char n to nLen of sString
end

on Wait n
  set nTime to the timer
  repeat while the timer < (n + nTime)
  end repeat
end
